package com.bootdo.data.service;

import java.util.List;
import java.util.Map;

import com.bootdo.data.domain.DataApprovalDO;
import com.bootdo.data.domain.UnitApplyInfoDO;

/**
 * 
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 17:56:11
 */
public interface DataApprovalService {
	
	DataApprovalDO get(Long id);
	
	List<UnitApplyInfoDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int verifyInfo(DataApprovalDO dataApproval);
	
	int update(DataApprovalDO dataApproval);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);

    boolean approval(Long applyId, String status, String desc);

    List<UnitApplyInfoDO> viewList(Map<String, Object> params);
}
